Bug 133053 - yum fails to update from latest fc2 to fc3test2
yum fails to update from latest fc2 to fc3test2
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-09-21 03:47 EDT by Mikko Tiihonen
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-13 13:57:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
script run of the yum upgrade with debug level 4 (337.40 KB, text/plain)
2004-09-21 03:49 EDT, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2004-09-21 03:47:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
I have a machine with FC2 + latest updates and I tried to upgrade to
FC3test2 using yum.

To begin with I manually installed the yum-2.1.3-1 and
fedora-release-2.91-4 rpms and configured a fast mirror for fc3t2.
Running "yum --obsoletes update" fails after a long time with the
following error:
Transaction Test Succeeded
Running Transaction
Traceback (most recent call last):
  File "/usr/share/yum-cli/yummain.py", line 139, in ?
  File "/usr/share/yum-cli/yummain.py", line 122, in main
  File "/usr/share/yum-cli/cli.py", line 499, in doTransaction
    errstring += error
TypeError: cannot concatenate 'str' and 'tuple' objects

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. have fc2 installation with latest patches
2. manually update yum, fedora-release & yum.conf
3. run yum --obsoletes update

Actual Results:  Running the actual update transaction fails

Expected Results:  The update should finish completely

Additional info:

I did have other repositories configured for fc2 and rpm's downloaded
from them but as they do not have fc3 packets yet the yum.conf during
the upgrade has only the [base] repository.

I'll attach the full yum -d 4 log to the bug later.
Comment 1 Mikko Tiihonen 2004-09-21 03:49:16 EDT
Created attachment 104057 [details]
script run of the yum upgrade with debug level 4
Comment 2 Seth Vidal 2004-09-21 09:14:39 EDT
This is known and I think it's fixed in cvs.
There will be a new package hitting rawhide in a few days. If you
could test that it would be useful.
Comment 3 Mikko Tiihonen 2004-09-30 10:25:00 EDT
I can confirm that the yum-2.1.4-1 release fixed the bug.
I had not touched the system after the bug appeared and upgrading the
new yum cured the problem and the upgrade from fc2 to fc3test2 went

Note You need to log in before you can comment on or make changes to this bug.